%define realname   capitalization

Name:		perl-%{realname}
Version:    0.03
Release: %mkrel 3
License:	GPL or Artistic
Group:		Development/Perl
Summary:    Perl module that allows no capitalization on method names
Source0:    http://search.cpan.org/CPAN/authors/id/M/MI/MIYAGAWA/%{realname}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{realname}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	perl-devel
BuildRequires:  perl-Devel-Symdump
BuildArch: noarch

%description
capitalization.pm allows you to use familiar style on method naming.

%prep
%setup -q -n %{realname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -rf $RPM_BUILD_ROOT/%{perl_vendorarch}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes 
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Dec 28 2005 Michael Scherer <misc@mandriva.org> 0.03-3mdk
- Do not ship empty dir

* Sat Oct 01 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.03-2mdk
- BuildRequires fix

* Sat Oct 01 2005 Michael Scherer <misc@mandriva.org> 0.03-1mdk
- First mandriva package
